'CSC 230 written in class Oct. 13

'This program shows a set of paintings and information about 
'them in a slide-show format.  A user sees one painting at a 
'time and can move forward or backward through the paintings. 

'The design was pretty simple, the only issue was deciding which 
'value was best for the PictureBox's SizeMode property.  We 
'ultimately decided that "CenterImage" was best as it respected 
'the artwork's aspect ratio but adjusted the size of the image to 
'fit within the allowed space

'eventually we decided to have the back button disabled in design



Imports System.IO           'so we can use Directory class

Public Class FrmArtSlideShow

    'Declare, instantiate and initialize arrays for artist 
    'first name, last name, title of painting and image file name
    Dim ArtFN As String() = New String() {"Edvard", "Jackson", "Georges", "Hieronymus", "Mary", "Albrecht", "Thomas", "Gustav", "Thomas", "Ando"}
    Dim ArtLN As String() = New String() {"Munch", "Pollock", "Seurat", "Bosch", "Cassatt", "Durer", "Gainsborough", "Klimt", "Eakins", "Hiroshige"}
    Dim ArtTitle As String() = New String() {"Ashes", "Full Fathom Five", "The Side Show", "Christ Carrying the Cross", "Little Girl in a Blue ArmChair", "Hare", "Mr. and Mrs. Andrews", "Bildnis Fritza Riedler", "The Biglen Brothers Racing", "Plum Estate"}
    Dim ArtFile As String() = New String() {"Ashes.jpg", "Full.jpg", "Sideshow.jpg", "ChristCarrying.jpg", "BlueArmchair.jpg", "Hare.jpg", "Andrews.jpg", "Fritza.jpg", "Racing.jpg", "Plum.jpg"}

    Dim ProgramPath As String   'location of images (in debug in bin in project)
    Dim PaintingIndex = 0       'the index of the painting being viewed


    '***********************************************************
    'get program path and show first image and related information
    'we made an effort to make code general using the array 
    'and an index variable rather than specific information 
    '(e.g. Edvard as the artist's first name).  Moreover, we 
    'used an index variable rather than a specific index (e.g. 0). 
    Private Sub FrmArtSlideShow_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ProgramPath = Directory.GetCurrentDirectory & "\"

        'show image
        picPainting.Image = Image.FromFile(ProgramPath & ArtFile(PaintingIndex))

        'display information
        lblInfo.Text = ArtTitle(PaintingIndex) & vbCrLf & ArtFN(PaintingIndex) & " " & ArtLN(PaintingIndex)
    End Sub

    '***********************************************************
    'move to next image
    Private Sub btnForward_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnForward.Click
        'increment index 
        PaintingIndex += 1

        'display image and information (same as form load)
        picPainting.Image = Image.FromFile(ProgramPath & ArtFile(PaintingIndex))
        lblInfo.Text = ArtTitle(PaintingIndex) & vbCrLf & ArtFN(PaintingIndex) & " " & ArtLN(PaintingIndex)

        'if reach last index (upper bound) then disable 
        'forward button
        If PaintingIndex = ArtFile.GetUpperBound(0) Then
            btnForward.Enabled = False
        End If

        'anytime you move forward you should be abled to move back, 
        'so enable back button
        btnBack.Enabled = True
    End Sub

    '*********************************************************
    'move to previous image
    Private Sub btnBack_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBack.Click
        'decrement the index
        PaintingIndex -= 1

        'display image and information (same as form load and forward button)
        picPainting.Image = Image.FromFile(ProgramPath & ArtFile(PaintingIndex))
        lblInfo.Text = ArtTitle(PaintingIndex) & vbCrLf & ArtFN(PaintingIndex) & " " & ArtLN(PaintingIndex)

        'if reach first index (0) then disable back button
        If PaintingIndex = 0 Then
            btnBack.Enabled = False
        End If

        'anytime you move back you should be abled to move forward, 
        'so enable forward button
        btnForward.Enabled = True
    End Sub
End Class
